<template>
  <span>
    {{ value }}
    <sup>{{ decimal }}</sup>
  </span>
</template>

<script>
export default {
  props: {
    price: {
      type: String,
      required: true
    },
    currency: {
      type: String,
      required: false,
      default: '€'
    }
  },
  computed: {
    value() {
      return `${Math.floor(+this.price)}${this.currency}`
    },
    decimal() {
      return this.price.split('.')[1]
    }
  }
}
</script>
